package cn.com.ctop.kuaishou.modules.dimension.service;

import cn.com.ctop.kuaishou.modules.dimension.entity.KuaiShouDimensionUnit;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 多维度测试组列表
 *
 * @author jeecg-boot
 * 2021-07-22
 * @version V1.0
 */
public interface IKuaiShouDimensionUnitService extends IService<KuaiShouDimensionUnit> {

    void createUnit(Long strategyId, Long accountId, String accessToken);

    Boolean getCreateOverrun(Long account);

    List<JSONObject> getCampaignCount(Long accountId, Long strategyId);

    Integer getUnitCount(Long accountId, Long strategyId);

    List<KuaiShouDimensionUnit> getUnitListBy(Long strategyId, Long accountId, Long campaignId);

    void editBatch(Integer submitStatus, JSONArray ids);

    Integer getUnitCountByStrategyId(Long strategyId);
}
